Package org.kie.internal.runtime.error

## Class ExecutionError

- java.lang.Object
- - org.kie.internal.runtime.error.ExecutionError

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ExecutionError
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExecutionError.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.Short` | `acknowledged` |
    `protected java.util.Date` | `acknowledgedAt` |
    `protected java.lang.String` | `acknowledgedBy` |
    `protected java.lang.Long` | `activityId` |
    `protected java.lang.String` | `activityName` |
    `protected java.lang.String` | `deploymentId` |
    `protected java.lang.String` | `error` |
    `protected java.util.Date` | `errorDate` |
    `protected java.lang.String` | `errorId` |
    `protected java.lang.String` | `errorMessage` |
    `protected java.lang.Long` | `initActivityId` |
    `protected java.lang.Long` | `jobId` |
    `protected java.lang.String` | `processId` |
    `protected java.lang.String` | `processInstanceId` |
    `protected java.lang.String` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutionError()` |
    `ExecutionError​(java.lang.String errorId, java.lang.String type, java.lang.String deploymentId, java.lang.String processInstanceId, java.lang.String processId, java.lang.Long activityId, java.lang.String activityName, java.lang.Long jobId, java.lang.String errorMessage, short acknowledged, java.lang.String acknowledgedBy, java.util.Date acknowledgedAt, java.util.Date errorDate)` |
    `ExecutionError​(java.lang.String errorId, java.lang.String type, java.lang.String deploymentId, java.lang.String processInstanceId, java.lang.String processId, java.lang.Long activityId, java.lang.String activityName, java.lang.Long jobId, java.lang.String errorMessage, java.lang.String error, short acknowledged, java.lang.String acknowledgedBy, java.util.Date acknowledgedAt, java.util.Date errorDate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExecutionError.Builder` | `builder()` |
    `protected java.lang.Short` | `getAcknowledged()` |
    `java.util.Date` | `getAcknowledgedAt()` |
    `java.lang.String` | `getAcknowledgedBy()` |
    `java.lang.Long` | `getActivityId()` |
    `java.lang.String` | `getActivityName()` |
    `java.lang.String` | `getDeploymentId()` |
    `java.lang.String` | `getError()` |
    `java.util.Date` | `getErrorDate()` |
    `java.lang.String` | `getErrorId()` |
    `java.lang.String` | `getErrorMessage()` |
    `java.lang.Long` | `getInitActivityId()` |
    `java.lang.Long` | `getJobId()` |
    `java.lang.String` | `getProcessId()` |
    `java.lang.String` | `getProcessInstanceId()` |
    `java.lang.String` | `getType()` |
    `boolean` | `isAcknowledged()` |
    `void` | `setAcknowledged​(boolean acknowledged)` |
    `protected void` | `setAcknowledged​(java.lang.Short acknowledged)` |
    `void` | `setAcknowledgedAt​(java.util.Date acknowledgedAt)` |
    `void` | `setAcknowledgedBy​(java.lang.String acknowledgedBy)` |
    `void` | `setActivityId​(java.lang.Long activityId)` |
    `void` | `setActivityName​(java.lang.String activityName)` |
    `void` | `setDeploymentId​(java.lang.String deploymentId)` |
    `void` | `setError​(java.lang.String error)` |
    `void` | `setErrorDate​(java.util.Date errorDate)` |
    `void` | `setErrorId​(java.lang.String errorId)` |
    `void` | `setErrorMessage​(java.lang.String errorMessage)` |
    `void` | `setInitActivityId​(java.lang.Long initActivityId)` |
    `void` | `setJobId​(java.lang.Long jobId)` |
    `void` | `setProcessId​(java.lang.String processId)` |
    `void` | `setProcessInstanceId​(java.lang.String processInstanceId)` |
    `void` | `setType​(java.lang.String type)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorId

          protected java.lang.String errorId

    - #### type

          protected java.lang.String type

    - #### deploymentId

          protected java.lang.String deploymentId

    - #### processInstanceId

          protected java.lang.String processInstanceId

    - #### processId

          protected java.lang.String processId

    - #### activityId

          protected java.lang.Long activityId

    - #### activityName

          protected java.lang.String activityName

    - #### jobId

          protected java.lang.Long jobId

    - #### errorMessage

          protected java.lang.String errorMessage

    - #### error

          protected java.lang.String error

    - #### acknowledged

          protected java.lang.Short acknowledged

    - #### acknowledgedBy

          protected java.lang.String acknowledgedBy

    - #### acknowledgedAt

          protected java.util.Date acknowledgedAt

    - #### errorDate

          protected java.util.Date errorDate

    - #### initActivityId

          protected java.lang.Long initActivityId

  - ### Constructor Detail

    - #### ExecutionError

          public ExecutionError()

    - #### ExecutionError

          public ExecutionError​(java.lang.String errorId,
                                java.lang.String type,
                                java.lang.String deploymentId,
                                java.lang.String processInstanceId,
                                java.lang.String processId,
                                java.lang.Long activityId,
                                java.lang.String activityName,
                                java.lang.Long jobId,
                                java.lang.String errorMessage,
                                short acknowledged,
                                java.lang.String acknowledgedBy,
                                java.util.Date acknowledgedAt,
                                java.util.Date errorDate)

    - #### ExecutionError

          public ExecutionError​(java.lang.String errorId,
                                java.lang.String type,
                                java.lang.String deploymentId,
                                java.lang.String processInstanceId,
                                java.lang.String processId,
                                java.lang.Long activityId,
                                java.lang.String activityName,
                                java.lang.Long jobId,
                                java.lang.String errorMessage,
                                java.lang.String error,
                                short acknowledged,
                                java.lang.String acknowledgedBy,
                                java.util.Date acknowledgedAt,
                                java.util.Date errorDate)

  - ### Method Detail

    - #### getErrorId

          public java.lang.String getErrorId()

    - #### setErrorId

          public void setErrorId​(java.lang.String errorId)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType​(java.lang.String type)

    - #### getDeploymentId

          public java.lang.String getDeploymentId()

    - #### setDeploymentId

          public void setDeploymentId​(java.lang.String deploymentId)

    - #### getProcessInstanceId

          public java.lang.String getProcessInstanceId()

    - #### setProcessInstanceId

          public void setProcessInstanceId​(java.lang.String processInstanceId)

    - #### getActivityId

          public java.lang.Long getActivityId()

    - #### setActivityId

          public void setActivityId​(java.lang.Long activityId)

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage​(java.lang.String errorMessage)

    - #### getError

          public java.lang.String getError()

    - #### setError

          public void setError​(java.lang.String error)

    - #### getAcknowledged

          protected java.lang.Short getAcknowledged()

    - #### setAcknowledged

          protected void setAcknowledged​(java.lang.Short acknowledged)

    - #### isAcknowledged

          public boolean isAcknowledged()

    - #### setAcknowledged

          public void setAcknowledged​(boolean acknowledged)

    - #### getAcknowledgedBy

          public java.lang.String getAcknowledgedBy()

    - #### setAcknowledgedBy

          public void setAcknowledgedBy​(java.lang.String acknowledgedBy)

    - #### getAcknowledgedAt

          public java.util.Date getAcknowledgedAt()

    - #### setAcknowledgedAt

          public void setAcknowledgedAt​(java.util.Date acknowledgedAt)

    - #### getProcessId

          public java.lang.String getProcessId()

    - #### setProcessId

          public void setProcessId​(java.lang.String processId)

    - #### getActivityName

          public java.lang.String getActivityName()

    - #### setActivityName

          public void setActivityName​(java.lang.String activityName)

    - #### builder

          public static ExecutionError.Builder builder()

    - #### getErrorDate

          public java.util.Date getErrorDate()

    - #### setErrorDate

          public void setErrorDate​(java.util.Date errorDate)

    - #### getJobId

          public java.lang.Long getJobId()

    - #### setJobId

          public void setJobId​(java.lang.Long jobId)

    - #### getInitActivityId

          public java.lang.Long getInitActivityId()

    - #### setInitActivityId

          public void setInitActivityId​(java.lang.Long initActivityId)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`